Package org.apache.bcel.generic

# Class INVOKEVIRTUAL

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.CPInstruction
org.apache.bcel.generic.FieldOrMethod
org.apache.bcel.generic.InvokeInstruction
org.apache.bcel.generic.INVOKEVIRTUAL

All Implemented Interfaces:
  `Cloneable`, `ExceptionThrower`, `IndexedInstruction`, `LoadClass`, `StackConsumer`, `StackProducer`, `TypedInstruction`

public class INVOKEVIRTUAL extends InvokeInstruction
INVOKEVIRTUAL - Invoke instance method; dispatch based on class

     Stack: ..., objectref, [arg1, [arg2 ...]] -> ...

See Also:
  - The invokevirtual instruction in The Java Virtual Machine Specification

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.generic.CPInstruction

  `index`

  ### Fields inherited from class org.apache.bcel.generic.Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `INVOKEVIRTUAL(int index)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Call corresponding visitor method(s).
  `void`
  `dump(DataOutputStream out)`
  Dump instruction as byte code to stream out.
  `Class<?>[]`
  `getExceptions()`

  ### Methods inherited from class org.apache.bcel.generic.InvokeInstruction

  `consumeStack, getArgumentTypes, getClassName, getMethodName, getReturnType, getType, produceStack, toString`

  ### Methods inherited from class org.apache.bcel.generic.FieldOrMethod

  `getClassType, getLoadClassType, getName, getReferenceType, getSignature`

  ### Methods inherited from class org.apache.bcel.generic.CPInstruction

  `getIndex, initFromFile, setIndex, toString`

  ### Methods inherited from class org.apache.bcel.generic.Instruction

  `copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, readInstruction, setComparator, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### INVOKEVIRTUAL

    public INVOKEVIRTUAL(int index)

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
    Specified by:
      `accept` in class `Instruction`
    Parameters:
      `v` - Visitor object

  - ### dump

    public void dump(DataOutputStream out) throws IOException
    Dump instruction as byte code to stream out.
    Overrides:
      `dump` in class `CPInstruction`
    Parameters:
      `out` - Output stream
    Throws:
      `IOException` - Thrown when an I/O exception of some sort has occurred.

  - ### getExceptions

    public Class<?>[] getExceptions()